• Register

Aste FCR

[GET] 	https://api.terna.it/market/v1.0/aste-fcr 
On the Frequency Containment Reserve (FCR) market, the units authorised to use the service present active power bands for the following day in order to create the FC Reserve. Terna selects resources through an auction based on economic merit, applying a remuneration criterion in accordance with the system marginal price mechanism.

Authorization OAuth 2.0

Request Header

API field Type Description Format Card Example
Authorization String Token 1..1   <your access token>
businessID String Identificativo facoltativo che può essere utilizzato per identificare il messaggio durante la fase di analisi quando si apre un ticket al support team di Terna. 0..1 b57aca2f-41b8-4a6e-a43c-2fc5f8309f94
Accept String 0..1 Application/Json

Query Params

API field Type Description Format Card Example
marketDate string Format dd/mm/yyyy 1..1
direction string If not specified, all directions will be returned. 0..1

Response Structure 200

API field Type Description Format Card Example
result 0..1
.messagge string 0..1 OK
.status string 0..1 Completed
aste_fcr array 0..n
.date string 1..1 2023-10-04 00:00:00
.session string 1..1 FCR
.zone string 1..1 Calabria
.direction string 1..1 UP
.price string 1..1 null
.quantity string 1..1 0.0
.requirement string 1..1 0.0

Response Structure 406

API field Type Description Format Card Example
result 0..1
.messagge string 0..1 Input Validation Error: the value entered is incorrect or does not conform to the expected format. Value entered: 200
.status string 0..1 ERROR

Response Structure 500

API field Type Description Format Card Example
result 0..1
.messagge string 0..1 Information retrieval error
.status string 0..1 ERROR

Example

cURL Request

curl --location --request GET 'https://api.terna.it/market/v1.0/aste-fcr?dateFrom=05/12/2025&direction=UP' --header 'Authorization: <token>'

Response

	  {
		  "result": {
			  "message": "Operation completed for the following input. Market Date: 05/12/2025",
			  "status": "Completed"
		  },
		  "aste_fcr": [
			  {
				  "date": "2025-12-05 00:00:00",
				  "session": "FCR",
				  "zone": "Calabria",
				  "direction": "UP",
				  "price": null,
				  "quantity": "0.0",
				  "requirement": "0.0"
			  }
            ]
          }